cutlass::gemm::GlobalLoadStream< LoadIterator_, StoreIterator_, Transformer_ > Struct Template Reference

`#include <gemm_global_stream.h>`

Inheritance diagram for cutlass::gemm::GlobalLoadStream< LoadIterator_, StoreIterator_, Transformer_ >:

## Public Types

typedef GlobalLoadStreamBase< LoadIterator_, StoreIterator_, Transformer_ > | Base
| The base class. More...
Public Types inherited from cutlass::gemm::GlobalLoadStreamBase< LoadIterator_, StoreIterator_, Transformer_ >
typedef LoadIterator_ | LoadIterator
| The load iterator. More...
typedef Transformer_ | Transformer
| The transformer. More...
typedef StoreIterator_ | StoreIterator
| The store iterator to write to shared memory. More...
typedef LoadIterator::Fragment | FetchedFragment
| The fragment that is copied from shared memory. More...
typedef Transformer::OutputFragment | TransformedFragment
| The fragment that is obtained after the transformation by the transformer. More...
typedef TransformedFragment | Fragment
| Make sure the fragments match. More...
typedef LoadIterator::Scalar | Scalar
| The scalar type of the iterator. More...
typedef LoadIterator::Pointer | Pointer
| The pointer. More...
typedef LoadIterator::Index | Index
| The index. More...
typedef StoreIterator::SharedStorage | SharedStoreStorage
| The amount of storage in shared memory needed to store the tile. More...

## Public Member Functions

CUTLASS_DEVICE | GlobalLoadStream (typename Base::Params const &params, typename Base::SharedStorage &shared_storage, Coord< 3 > const &bounds, Coord< 3 > const &block)
| Ctor. More...
Public Member Functions inherited from cutlass::gemm::GlobalLoadStreamBase< LoadIterator_, StoreIterator_, Transformer_ >
CUTLASS_DEVICE | GlobalLoadStreamBase (Params const &params, SharedStorage &shared_storage, Coord< 3 > const bounds, Coord< 3 > const &block)
| Ctor. More...
CUTLASS_DEVICE void | copy ()
| Load the data from shared memory to the fetch fragment. More...
CUTLASS_DEVICE void | commit ()
| Commit the data. More...
CUTLASS_DEVICE void | residue (Index k, bool skip_clear=false)
| Execute the residue code. More...

## Additional Inherited Members

Public Attributes inherited from cutlass::gemm::GlobalLoadStreamBase< LoadIterator_, StoreIterator_, Transformer_ >
LoadIterator | load_iterator
| The iterator. More...
FetchedFragment | fetched_fragment
| The fragment to fetch from shared memory. More...
Transformer | transformer
| The transformer. More...
TransformedFragment | transformed_fragment
| The fragment to convert the data after it has been fetched from shared memory. More...
StoreIterator | store_iterator
| The store iterator. More...
Static Public Attributes inherited from cutlass::gemm::GlobalLoadStreamBase< LoadIterator_, StoreIterator_, Transformer_ >
static MatrixLayout::Kind const | kLayout = LoadIterator::kLayout
| Make sure the transformed fragment is the same as the store fragment. More...

## Member Typedef Documentation

## Base

template<typename LoadIterator_ , typename StoreIterator_ , typename Transformer_ = Copy<typename LoadIterator_::Fragment>>

typedef GlobalLoadStreamBase<LoadIterator_, StoreIterator_, Transformer_> cutlass::gemm::GlobalLoadStream< LoadIterator_, StoreIterator_, Transformer_ >::Base

## Constructor & Destructor Documentation

## GlobalLoadStream()

template<typename LoadIterator_ , typename StoreIterator_ , typename Transformer_ = Copy<typename LoadIterator_::Fragment>>

CUTLASS_DEVICE cutlass::gemm::GlobalLoadStream< LoadIterator_, StoreIterator_, Transformer_ >::GlobalLoadStream | ( | typename Base::Params const & | params,
|  | typename Base::SharedStorage & | shared_storage,
|  | Coord< 3 > const & | bounds,
|  | Coord< 3 > const & | block
| ) |  |

inline

The documentation for this struct was generated from the following file:

- gemm_global_stream.h